Skip to content

List Apps

GET
/api/apps/list
curl --request GET \
--url 'https://example.com/api/apps/list?page=1&page_size=10' \
--header 'Authorization: Bearer <token>'

List all apps with agent linkage info.

page
Page
integer
default: 1 >= 1
page_size
Page Size
integer
default: 10 >= 1 <= 100
app_type
Any of:
string

Filter: ‘streamlit’ or ‘slack’

search
Any of:
string

Search by app name, agent name

Successful Response

Media typeapplication/json
AppListResponse
object
apps
required
Apps
Array<object>
AppListItem
object
app_name
Any of:
string
app_id
Any of:
string
app_url
Any of:
string
deployment_status
Any of:
string
deployment_status_reason
Any of:
string
runtime_status
Any of:
string
runtime_status_reason
Any of:
string
execution_status
Any of:
string
execution_status_reason
Any of:
string
last_run_id
Any of:
string
last_run_at
Any of:
string
is_active
Any of:
boolean
agent_id
Any of:
string
agent_name
Any of:
string
agent_version
Any of:
string
environment
Any of:
string
agent_endpoint_name
Any of:
string
app_type
Any of:
string
agent_runtime_status
Any of:
string
agent_runtime_message
Any of:
string
agent_linked
Any of:
boolean
agent_alias
Any of:
string
compute_status
Any of:
object
key
additional properties
any
total_count
required
Total Count
integer
page
required
Page
integer
page_size
required
Page Size
integer
total_pages
required
Total Pages
integer
Examplegenerated
{
"apps": [
{
"app_name": "example",
"app_id": "example",
"app_url": "example",
"deployment_status": "example",
"deployment_status_reason": "example",
"runtime_status": "example",
"runtime_status_reason": "example",
"execution_status": "example",
"execution_status_reason": "example",
"last_run_id": "example",
"last_run_at": "example",
"is_active": true,
"agent_id": "example",
"agent_name": "example",
"agent_version": "example",
"environment": "example",
"agent_endpoint_name": "example",
"app_type": "example",
"agent_runtime_status": "example",
"agent_runtime_message": "example",
"agent_linked": true,
"agent_alias": "example",
"compute_status": {}
}
],
"total_count": 1,
"page": 1,
"page_size": 1,
"total_pages": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}